import * as ec2 from '@aws-cdk/aws-ec2';
import * as efs from '@aws-cdk/aws-efs';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface CommonEfsAssetsProps {
    /**
     * The target Amazon EFS filesystem to clone the github repository to.
     *
     * @stability stable
     */
    readonly efsAccessPoint: efs.IAccessPoint;
    /**
     * The VPC of the Amazon EFS Filesystem.
     *
     * @stability stable
     */
    readonly vpc: ec2.IVpc;
    /**
     * Where to place the network interfaces within the VPC.
     *
     * @stability stable
     */
    readonly vpcSubnets?: ec2.SubnetSelection;
    /**
     * The dependent resources before triggering the sync.
     *
     * @stability stable
     */
    readonly runsAfter?: cdk.IDependable[];
}
